#pragma once

#include "CoreMinimal.h"
#include "Engine/TimerHandle.h"
#include "CachedPresenterData.generated.h"

class UPresenter;

USTRUCT(BlueprintType)
struct FCachedPresenterData
{
	GENERATED_BODY()

public:
	UPROPERTY(EditAnywhere, Export)
	TWeakObjectPtr<UPresenter> Presenter;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	FTimerHandle Timer;

public:
	DBDUIPRESENTERS_API FCachedPresenterData();
};

FORCEINLINE uint32 GetTypeHash(const FCachedPresenterData) { return 0; }
